> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# IFSC Verification

> Use this API to verify if a given IFSC exists. The bank name, the branch that it belongs to, the transfer modes supported, and the respective MICR code will be shown in the response.

<Warning> This API will be retired soon. Please plan to migrate to the latest version, [IFSC Verification V2](/api-reference/vrs/v2/ifsc/ifsc-verification-v2). </Warning>


## OpenAPI

````yaml get /payout/v1/ifsc/{ifsc}
openapi: 3.0.3
info:
  title: Bank Account Verification
  version: 1.0.0
  contact: {}
servers:
  - url: https://payout-api.cashfree.com
security: []
paths:
  /payout/v1/ifsc/{ifsc}:
    get:
      tags:
        - Bank Account Verification
      summary: IFSC Verification
      description: >-
        Use this API to verify if a given IFSC exists. The bank name, the branch
        that it belongs to, the transfer modes supported, and the respective
        MICR code will be shown in the response.
      operationId: ifscVerification
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer Auth Token
          schema:
            type: string
        - name: Content-Type
          in: header
          required: true
          description: application/json
          schema:
            type: string
        - name: ifsc
          in: path
          description: >-
            The IFSC information of the bank account to be validated. It should
            be an alphanumeric value of 11 characters. The first 4 characters
            should be alphabets, the 5th character should be a 0, and the
            remaining 6 characters should be numerals.
          required: true
          schema:
            type: string
            example: SCBL0036078
      responses:
        '200':
          description: Accepted
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: It represents the status of the API request.
                    example: SUCCESSS
                  subCode:
                    type: string
                    description: It represents the sub code of the API request.
                    example: 200
                  message:
                    type: string
                    description: It represents the message of the API request.
                    example: Bank account details verified successfully
                  data:
                    type: object
                    description: It contains the bank account information.
                    properties:
                      bank:
                        type: string
                        description: >-
                          It represents the name of the bank where the account
                          is active.
                        example: HDFC BANK
                      ifsc:
                        type: string
                        description: It represents the IFSC information of the bank.
                        example: HDFC0004110
                      neft:
                        type: string
                        description: It represents the status of NEFT.
                        example: Live
                      imps:
                        type: string
                        description: It represents the status of IMPS.
                        example: Live
                      rtgs:
                        type: string
                        description: It represents the status of RTGS.
                        example: Live
                      upi:
                        type: string
                        description: It represents the status of UPI.
                        example: Not Live
                      ft:
                        type: string
                        description: It represents the status of FT.
                        example: Live
                      card:
                        type: string
                        description: It represents the status of card transactions.
                        example: Not Live
                      micr:
                        type: string
                        description: >-
                          It represents the code used to identify banks and
                          branches participating in the Electronic Clearing
                          System (ECS).
                      nbin:
                        type: string
                        description: >-
                          It represents the national bank identification number
                          (NBIN).
                        example: 9240
                      address:
                        type: string
                        description: >-
                          It represents the address of the bank branch where it
                          operates.
                        example: >-
                          HDFC BANK LTD WZ G 1 161 GROUND FLOOR UTTAM NAGAR MAIN
                          ROAD NEW DELHI DELHI 110059
                      city:
                        type: string
                        description: >-
                          It represents the city of the bank operational
                          address.
                        example: DELHI
                      state:
                        type: string
                        description: >-
                          It represents the state of the city where the bank
                          operates.
                        example: DELHI
                      branch:
                        type: string
                        description: It represents the branch name of the bank.
                        example: UTTAM NAGAR
                      ifscSubcode:
                        type: string
                        description: It represents the sub code of IFSC.
                        example: HDFC0
                      category:
                        type: string
                        description: It represents the IFSC category.
                        example: DIRECT_MEMBER
                      swiftCode:
                        type: string
                        description: >-
                          It represents the code to identify the bank branch
                          that processes international transactions.
                        example: ''
        '404':
          description: error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ERROR
                  subCode:
                    type: string
                    example: 404
                  message:
                    type: string
                    example: IFSC not found. Try again with valid IFSC
              examples:
                error:
                  value:
                    status: ERROR
                    subCode: 404
                    message: IFSC not found. Try again with valid IFSC

````